Subject: Re: What's cooking in git.git (topics)

From: Jakub Narebski <[email-masked]>
Date: Sun, 10 Feb 2008 08:29:17 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> * br/gitweb (Fri Feb 8 14:38:04 2008 -0200) 1 commit
>  - gitweb: Use the config file to set repository owner's name.
> 
> Looked Ok.

I assume that you have squashed commits: chaning gitweb.perl and
adding to gitweb/README?

I'd rather hear from Pasky first, but well...
 
> * jc/submittingpatches (Sun Feb 3 17:02:28 2008 -0800) 3 commits
>  + Documentation/SubmittingPatches: What's Acked-by and Tested-by?
>  + Documentation/SubmittingPatches: discuss first then submit
>  + Documentation/SubmittingPatches: Instruct how to use [PATCH]
>    Subject header
> 
> These I think are sensible but they did not see much discussion,
> so they are parked here for now.

I thing first and last are good to go, while second could get
improved. This means I guess either resending second patch for further
discussion, or adding it as is, and wait for further improvements; it
is better than nothing.
 
> * jc/gitignore-ends-with-slash (Thu Jan 31 20:23:25 2008 -0800) 2 commits
>  + gitignore: lazily find dtype
>  + gitignore(5): Allow "foo/" in ignore list to match directory "foo"
> 
> This is redone after we had discussion on the list to properly
> make "foo/" match only with directories and "foo" with both
> files and directories without unnecessary lstat(2) calls.

Nice. I like it.
 
> * nd/dashless (Wed Nov 28 23:21:57 2007 +0700) 1 commit
>  - Move all dashed-form commands to libexecdir
> 
> Scheduled for 1.6.0.  I am not sure if we should merge this to
> 'next' before 1.5.5.  Most active people will be on 'next' and
> if we have this there, the resulting 1.5.5 release might end up
> having issues that come from differences this one introduces.

Perhaps git should build with separate libexecdir, and at first move
only helper scripts (*--*) there? We can then check what would break,
a little safer. Helper scripts are not meant to be called by user
anyway...

> * ab/pserver (Fri Dec 14 04:08:51 2007 +0000) 1 commit
>  - Authentication support for pserver
> 
> This needs careful security audit and a fix to its password
> database format.  Plaintext in .git/config is not acceptable.

Does git-cvsserver understand .netrc?

> * bf/remote-head (Sun Dec 23 20:52:32 2007 -0500) 1 commit
>  - git-remote: make add -f guess HEAD, as clone does
> 
> I might have carefully looked at this in the past but I do not
> recall if there were issues.  Need re-reviewing and help from
> the list is appreciated.

> * jc/git-symref (Tue Dec 11 16:42:46 2007 -0800) 1 commit
>  - PARK: show-symref protocol extension.

Do not the second cancels a bit of first?

-- 
Jakub Narebski
Poland
ShadeHawk on #git